Bug 217591 - smartd service has no description
smartd service has no description
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-services (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-28 16:33 EST by vfiend
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-31 12:10:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to stop parsing initscripts at first non-blank, non-comment line (423 bytes, patch)
2006-12-01 13:12 EST, Will Woods
no flags Details | Diff

  None (edit)
Description vfiend 2006-11-28 16:33:54 EST
Description of problem: The smard service should have a description in
system-config-services, like every other service seems to.


Version-Release number of selected component (if applicable): smartmontools-1:5.36-3


Steps to Reproduce:
1. Open system-config-services
2. Click 'smartd'
  
Actual results: Description box is empty


Expected results: Description box should contain a description


Additional info:
Comment 1 Tomas Mraz 2006-11-28 16:48:47 EST
The /etc/init.d/smartd contains:

# chkconfig: 2345 99 01
# description: Self Monitoring and Reporting Technology (SMART) Daemon
# processname: smartd 

I don't know why system-config-services doesn't read this description.
Comment 2 Will Woods 2006-12-01 13:12:20 EST
Created attachment 142596 [details]
patch to stop parsing initscripts at first non-blank, non-comment line

system-config-services stops reading initscripts at the first non-comment line
it sees. /etc/init.d/smartd has some blank lines before the description: line.
If you remove those, the description shows up in system-config-services.

One possible fix would be to have s-c-services stop parsing at the first
*non-blank* non-comment line.

This simple patch against system-config-services-0.9.1-1.fc6 should implement
that.
Comment 3 Nils Philippsen 2007-01-31 12:10:28 EST
system-config-services-0.9.6 is building right now which has a fix for this,
albeit a different one (your regex would only have matched lines consisting of
only "word" characters).

Note You need to log in before you can comment on or make changes to this bug.